package co.yixiang.yshop.module.product.convert.campaigndetail;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.product.controller.admin.campaigndetail.vo.*;
import co.yixiang.yshop.module.product.dal.dataobject.campaigndetail.CampaignDetailDO;

/**
 * 营销活动明细 Convert
 *
 * @author moxiangrong
 */
@Mapper
public interface CampaignDetailConvert {

    CampaignDetailConvert INSTANCE = Mappers.getMapper(CampaignDetailConvert.class);

    CampaignDetailDO convert(CampaignDetailCreateReqVO bean);

    List<CampaignDetailDO> convertDetails(List<CampaignDetailCreateReqVO> list);

    CampaignDetailDO convert(CampaignDetailUpdateReqVO bean);

    CampaignDetailRespVO convert(CampaignDetailDO bean);

    List<CampaignDetailRespVO> convertList(List<CampaignDetailDO> list);

    PageResult<CampaignDetailRespVO> convertPage(PageResult<CampaignDetailDO> page);

    List<CampaignDetailExcelVO> convertList02(List<CampaignDetailDO> list);

}
